<?php

namespace SoftminalB2B\Services;

if (!defined('ABSPATH')) {
    exit;
}

use SoftminalB2B\Install;

class Database
{
    private static $mainFile;

    public static function init($mainFile)
    {
        self::$mainFile = $mainFile;
        self::registerHooks();
    }

    private static function registerHooks()
    {
        register_activation_hook(self::$mainFile, [Install::class, 'activate']);
        register_deactivation_hook(self::$mainFile, [Install::class, 'deactivate']);
        register_uninstall_hook(self::$mainFile, [Install::class, 'uninstall']);
    }
}
